> For the complete documentation index, see [llms.txt](https://docs.zimo-pagos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zimo-pagos.com/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md).

# Colombia

Check the requirements and validations made over the cashouts on Colombia

## Required fields

| Field                  | Format                                                                                                                                             | Description                                                                 |
| ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------- |
| `login`                | String                                                                                                                                             | Cashouts login                                                              |
| `pass`                 | String                                                                                                                                             | Cashouts pass                                                               |
| `external_id`          | String (max length: 100)                                                                                                                           | Transaction's ID on your end                                                |
| `document_id`          | See [document validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document ID                                                   |
| `document_type`        | See [document validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#document-validations)              | Beneficiary's document type                                                 |
| `country`              | `CO`                                                                                                                                               | See [country codes](/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `COP` / `USD`                                                                                                                                      | See [currency codes](/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                                       | Cashout amount                                                              |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#bank-codes)                                  | Code specifying the beneficiary's bank                                      |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#bank-account-validations)             | Beneficiary's bank account                                                  |
| `account_type`         | See [account type codes](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#account-types)                       | Beneficiary's bank account type                                             |
| `beneficiary_name`     | String (max length: 100)                                                                                                                           | Beneficiary's name                                                          |
| `beneficiary_lastname` | String (max length: 100)                                                                                                                           | Beneficiary's last name                                                     |
| `address`              | String (max length: 255)                                                                                                                           | Beneficiary's address                                                       |
| `phone`                | String (max length: 20). [See validations](/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md#phone-validations) | Beneficiary's phone number                                                  |
| `email`                | String (max length: 255)                                                                                                                           | Optional Field - Only required for Punto Red                                |

## Bank Account Validations

| Bank name | Bank code | Format                                       | Regex            | Example       |
| --------- | :-------: | -------------------------------------------- | ---------------- | ------------- |
| Nequi     |    1507   | Customer's mobile phone                      | `^[\s\S]{1,20}$` | 5715551234    |
| Daviplata |    1551   | Customer's mobile phone                      | `^[\s\S]{1,20}$` | 5715551234    |
| Efecty    |   10003   | Empty string                                 | `^$`             |               |
| Punto Red |   10006   | Customer's mobile phone and customer's email | `^[\s\S]{1,20}$` | 5715551234    |
| Transfiya |   10007   | Numeric                                      | `^\d{8,19}$`     | 1234567890123 |
| Others    |     -     | Numeric[^1]                                  | `^\d{8,19}$`     | 1234567890123 |

## Account Types

The `account_type` is specified with only one character as described below.

| `account_type` | Description       |
| :------------: | ----------------- |
|     **`C`**    | Checkings account |
|     **`S`**    | Savings account   |

## Document Validations

[Click here](/countries-specifications.md#documents-validations) to check document types and validations.

## Phone validations

| Bank name | Bank code | Format                                                              | Required | Example         |
| --------- | :-------: | ------------------------------------------------------------------- | :------: | --------------- |
| Efecty    |   10003   | <p>Numeric - Country code +57 plus 10 digits<br>+57 XXX XXXXXXX</p> |    Yes   | +57 310 4028587 |
| Transfiya |   10007   | <p>Numeric - Country code +57 plus 10 digits<br>+57 XXX XXXXXXX</p> |    Yes   | +57 310 4028587 |
| Punto Red |   10006   | <p>Numeric - Country code +57 plus 10 digits<br>+57 XXX XXXXXXX</p> |    Yes   | +57 310 4028587 |
| Others    |     -     | -                                                                   |    No    | -               |

## Example Request

{% tabs %}
{% tab title="Generic" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "CO",
    "currency": "COP",
    "amount": 100,
    "document_id": "848392783",
    "document_type": "CC",
    "bank_account": "56687456",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "address": "Calle 18, Colombia",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
</code></pre>

{% endtab %}

{% tab title="Efecty" %}

<pre class="language-json"><code class="lang-json">{
  "login": "xxxxxxxxx",
  "pass": "xxxxxxxxx",
  "external_id": "30000000002",
<strong>  "country": "CO",
</strong>  "currency": "COP",
  "amount": 100,
<strong>  "document_id": "24721498",
</strong>  "document_type": "CC",
  "cashout_type": "BANK",
  "bank_account": "",
  "bank_branch": "",
  "bank_code": 10003,
  "account_type": "S",
  "beneficiary_name": "User",
  "beneficiary_lastname": "Test",
  "address": "Calle 43"
  "email": "",
  "phone": "+57 310 4028587",
  "notification_url": "https://webhook.site/url",
}
</code></pre>

{% endtab %}

{% tab title="Transfiya " %}

<pre class="language-json"><code class="lang-json">{
  "login": "xxxxxxxxx",
  "pass": "xxxxxxxxx",
  "external_id": "30000000002",
<strong>  "country": "CO",
</strong>  "currency": "COP",
  "amount": 100,
<strong>  "document_id": "24721498",
</strong>  "document_type": "CC",
  "cashout_type": "BANK",
  "bank_account": "",
  "bank_branch": "",
  "bank_code": "10007",
  "account_type": "S",
  "beneficiary_name": "User",
  "beneficiary_lastname": "Test",
  "address": "Calle 43"
  "email": "",
  "phone": "+57 310 4028587",
  "notification_url": "https://webhook.site/url",
}
</code></pre>

{% endtab %}

{% tab title="Punto Red" %}

```json
{
  "login": "xxxxxxxxx",
  "pass": "xxxxxxxxx",
  "external_id": "30000000002",
  "country": "CO",
  "currency": "COP",
  "amount": 100,
  "document_id": "24721498",
  "document_type": "CC",
  "cashout_type": "BANK",
  "bank_account": "",
  "bank_branch": "",
  "bank_code": 10006,
  "account_type": "S",
  "beneficiary_name": "User",
  "beneficiary_lastname": "Test",
  "address": "Calle 43"
  "email": "useremail@gmail.com",
  "phone": "+57 310 4028587",
  "notification_url": "https://webhook.site/url",
}
```

{% endtab %}
{% endtabs %}

## Bank Codes

| Bank                                | Code  |
| ----------------------------------- | ----- |
| BANCO DE BOGOTÁ                     | 001   |
| BANCO POPULAR                       | 002   |
| ITAÚ - Antes CORPBANCA              | 006   |
| BANCOLOMBIA                         | 007   |
| CITIBANK                            | 009   |
| HSBC                                | 010   |
| BANCO SUDAMERIS                     | 012   |
| BBVA                                | 013   |
| ITAÚ (HELM)                         | 014   |
| BANCO COLPATRIA                     | 019   |
| BANCO DE OCCIDENTE                  | 023   |
| BANCOLDEX S.A.                      | 031   |
| BANCO CAJA SOCIAL BCSC              | 032   |
| BANCO AGRARIO                       | 040   |
| BANCO MUNDO MUJER                   | 047   |
| BANCO DAVIVIENDA                    | 051   |
| BANCO AV VILLAS                     | 052   |
| BANCO PROCREDIT                     | 058   |
| BANCAMIA S.A.                       | 059   |
| BANCO PICHINCHA                     | 060   |
| BANCOOMEVA                          | 061   |
| BANCO FALABELLA S.A                 | 062   |
| BANCO FINANDINA                     | 063   |
| BANCO SERFINANZA S.A.               | 069   |
| SANTANDER                           | 065   |
| LULO BANK S.A                       | 070   |
| J.P. MORGAN COLOMBIA                | 071   |
| COOPCENTRAL S.A.                    | 076   |
| Directa24                           | 100   |
| COOPERATIVA FINANCIERA DE ANTIOQUIA | 283   |
| COTRAFA COOPERATIVA FINANCIERA      | 289   |
| COOFINEP                            | 291   |
| CONFIAR                             | 292   |
| FINANCIERA JURISCOOP                | 296   |
| BANCO UNION                         | 303   |
| COLTEFINANCIERA                     | 370   |
| BANCO CREDIFINANCIERA S.A.          | 558   |
| IRIS                                | 637   |
| MOVII                               | 801   |
| RAPPIPAY                            | 811   |
| MIBANCO                             | 1067  |
| ASOPAGOSS                           | 1086  |
| JFK COOPERATIVA FINANCIERA          | 1286  |
| NEQUI                               | 1507  |
| DAVIPLATA                           | 1551  |
| BAN100 CREDIFINANCIERA              | 1558  |
| PIBANK                              | 1560  |
| DING TECNIPAGOS SA                  | 1802  |
| POWWI                               | 1803  |
| UALA                                | 1804  |
| BANCO BTG PACTUAL                   | 1805  |
| BOLD CF                             | 1808  |
| COINK                               | 1812  |
| GLOBAL66                            | 1814  |
| Efecty                              | 10003 |
| TPAGA Wallet                        | 10005 |
| PUNTO RED                           | 10006 |
| NUBANK                              | 809   |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

[^1]: Numeric


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zimo-pagos.com/api-documentation/cashouts-api/countries-validations/american-countries/colombia.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
